# Uses of Interface
org.eclipse.jdt.core.dom.IPackageBinding

Packages that use IPackageBinding
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of IPackageBinding in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return IPackageBinding
Modifier and Type
Method
Description
`IPackageBinding[]`
IModuleBinding.`getExportedPackages()`
Returns all exported packages.
`IPackageBinding[]`
IModuleBinding.`getOpenedPackages()`
Returns all opened packages.
`IPackageBinding`
ITypeBinding.`getPackage()`
Returns the binding for the package in which this type is declared.
`IPackageBinding`
PackageDeclaration.`resolveBinding()`
Resolves and returns the binding for the package declared in this package declaration.
Methods in org.eclipse.jdt.core.dom with parameters of type IPackageBinding
Modifier and Type
Method
Description
`String[]`
IModuleBinding.`getExportedTo(IPackageBinding packageBinding)`
If this module exports the given package to specific modules, returns the array of names of modules, otherwise returns an empty array.
`String[]`
IModuleBinding.`getOpenedTo(IPackageBinding packageBinding)`
If this module opens the given package to specific modules, returns the array of names of modules, otherwise returns an empty array.